// FILENAME:	FOTR_Training.cs
//
// AUTHORS:  	FOTR*RB*Aldaron
//------------------------------------------------------------------------------

$missionName = "FOTR_TDM_2";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;			
			
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = true;
}

function onMissionLoad()
{
   cdAudioCycle("Purge", "Mechsoul", "Watching");   
}
  

function onMissionStart()
{
	$healRate = 100;     
	$ammoRate = 3;
   	$padWaitTime = 30;
  	$zenWaitTime = 60;

	titanSounds();
}  


// Welcome Message
//------------------------------------------------------------------------------
function player::onAdd(%player)
{
      say(%player, 0, "Welcome to FOTR_Training!  You can download this and other missions made by FOTR*RB*Aldaron in the FOTR Map Packs at http://www.starsiegefotr.cjb.net.");
}

// Healing Pad Functionality
//------------------------------------------------------------------------------
function ZenHeal::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_HEALPAD, true, true);  
}
function ZenHeal::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, 0, $padWaitTime, true); 
}

// Ammo Pad Functionality
//------------------------------------------------------------------------------
function ZenAmmo::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_AMMOPAD, true, true);  
}

function ZenAmmo::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, 0, $ammoRate, $padWaitTime, true); 
}

// ZenAll Pad Functionality
//------------------------------------------------------------------------------
function ZenAll::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_ALLPAD, true, true);  
}
function ZenAll::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, $ammoRate, $padWaitTime, true); 
}